| Home | Libraries | People | FAQ | More

##### perimeter

Calculates the perimeter of a geometry.

###### Description

The function perimeter returns the perimeter of a geometry, using the default distance-calculation-strategy

###### Synopsis

    template<typename Geometry>
    default_length_result<Geometry>::type perimeter(Geometry const & geometry)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Geometry const & | Any type fulfilling a Geometry Concept | geometry | A model of the specified concept

###### Returns

The calculated perimeter

###### Header

Either

`#include <boost/geometry/geometry.hpp>`

Or

`#include <boost/geometry/algorithms/perimeter.hpp>`

###### Behavior

Case | Behavior
--- | ---
pointlike (e.g. point) | Returns zero
linear (e.g. linestring) | Returns zero
areal (e.g. polygon) | Returns the perimeter

###### Complexity

Linear